<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Budget Line</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4  bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-8">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <span th:text="${'Positions Of : '+ karyawan.namaKaryawan}"></span>
                </div>
            </div>
            <div class="col-md-4">
                <a th:href="@{/masterdata/karyawan}" class="btn btn-dark">Back</a>
            </div>
        </div>

        <div class="alert alert-success" role="alert" th:if="${success != null}">
            Save data successfull....
        </div>


        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p><a class="link-primary" th:href="@{/masterdata/karyawan/jabatan/baru(detail = ${karyawan.id})}"  role="button">Klik disini</a> jika anda ingin manambahkan jabatan baru. </p>
                </div>
                <div class="col-md-6" align="right">

                </div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
        </form>
        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                        <tr>
                            <th>No</th>
                            <th>Position</th>
                            <th>Start Date</th>
                            <th>Status</th>
                            <th>Options</th>
                            <th style="width: 40px"></th>
                        </tr>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataKaryawanJabatan,row : ${karyawanJabatan}">
                            <td th:text="${(row.index + 1) + (karyawanJabatan.number * karyawanJabatan.size)}">>1.</td>
                            <td th:text="${dataKaryawanJabatan.jabatan.namaJabatan}">Pendapatan dari Beasiswa</td>
                            <td th:text="${#dates.format(new java.util.Date(dataKaryawanJabatan.mulaiBerlaku),'dd-MMM-yyyy')}">-</td>
                            <td th:text="${dataKaryawanJabatan.getStatusAktif()}">Pendapatan dari Beasiswa</td>
                            <td>
                                <a th:href="@{/masterdata/karyawan/jabatan/edit(detail = ${dataKaryawanJabatan.karyawan.id},id = ${dataKaryawanJabatan.id})}" class="link-primary">Edit</a>
                            </td>
                            <td>

                                <form method="post" th:action="@{/masterdata/karyawan/jabatan/hapus(detail = ${dataKaryawanJabatan.karyawan.id},karyawanJabatan=${dataKaryawanJabatan.id})}">
                                    <button type="submit" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>
    </main>
</main>

</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Detail Employee</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->

<!--    <div class="row">-->
<!--        <div class="col-md-3">-->

<!--            &lt;!&ndash; Profile Image &ndash;&gt;-->
<!--            <div class="box box-primary">-->
<!--                <div class="box-body box-profile">-->
<!--                    <img class="profile-user-img img-responsive img-circle" src="../../dist/img/user1-128x128.jpg" alt="User profile picture">-->

<!--                    <h3 class="profile-username text-center" th:text="${karyawan.namaKaryawan}">Nina Mcintire</h3>-->

<!--                    <p class="text-muted text-center" th:text="${karyawan.statusAktif}">Software Engineer</p>-->

<!--                    <ul class="list-group list-group-unbordered">-->
<!--                        <li class="list-group-item">-->
<!--                            <b>Followers</b> <a class="pull-right"></a>-->
<!--                        </li>-->
<!--                        <li class="list-group-item">-->
<!--                            <b>Following</b> <a class="pull-right"></a>-->
<!--                        </li>-->
<!--                        <li class="list-group-item">-->
<!--                            <b>Friends</b> <a class="pull-right"></a>-->
<!--                        </li>-->
<!--                    </ul>-->

<!--                    <a href="#" class="btn btn-primary btn-block"><b>Edit</b></a>-->

<!--                    <a th:href="@{/masterdata/karyawan}" class="btn btn-default btn-block"><b>Back</b></a>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.box &ndash;&gt;-->
<!--        </div>-->
<!--        &lt;!&ndash; /.col &ndash;&gt;-->
<!--        <div class="col-md-9">-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#activity" data-toggle="tab">Position</a></li>-->
<!--                    <li><a href="#timeline" data-toggle="tab">Family</a></li>-->
<!--                    <li><a href="#settings" data-toggle="tab">Salary</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->
<!--                    <div class="active tab-pane" id="activity">-->
<!--                        <div class="box-header with-border">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                        <a th:href="@{/masterdata/karyawan/jabatan/baru(detail = ${karyawan.id})}" name="tambah" type="button" class="btn btn-block btn-primary">+ Jabatan</a>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="box-body table-responsive no-padding">-->
<!--                            <table class="table table-bordered">-->
<!--                                <tr>-->
<!--                                    <th>No</th>-->
<!--                                    <th>Position</th>-->
<!--                                    <th>Start Date</th>-->
<!--                                    <th>Options</th>-->
<!--                                    <th style="width: 40px"></th>-->
<!--                                </tr>-->
<!--                                <tr th:each="dataKaryawanJabatan,row : ${karyawanJabatan}">-->
<!--                                    <td th:text="${(row.index + 1) + (karyawanJabatan.number * karyawanJabatan.size)}">>1.</td>-->
<!--                                    <td th:text="${dataKaryawanJabatan.jabatan.namaJabatan}">Pendapatan dari Beasiswa</td>-->
<!--                                    <td th:text="${#dates.format(new java.util.Date(dataKaryawanJabatan.mulaiBerlaku),'dd-MMM-yyyy')}">-</td>-->
<!--                                    <td>-->
<!--                                        <a th:href="@{/masterdata/karyawan/jabatan/edit(detail = ${dataKaryawanJabatan.karyawan.id},id = ${dataKaryawanJabatan.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                                    </td>-->
<!--                                    <td>-->

<!--                                        <form method="post" th:action="@{/masterdata/karyawan/jabatan/hapus(detail = ${dataKaryawanJabatan.karyawan.id},id=${dataKaryawanJabatan.id})}">-->
<!--                                            <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                                    onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                                Delete-->
<!--                                            </button>-->
<!--                                        </form>-->
<!--                                    </td>-->
<!--                                </tr>-->

<!--                                <tr>-->
<!--                                    <th>No</th>-->
<!--                                    <th>Position</th>-->
<!--                                    <th>Start Date</th>-->
<!--                                    <th>Options</th>-->
<!--                                    <th style="width: 40px"></th>-->
<!--                                </tr>-->

<!--                            </table>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                    <div class="tab-pane" id="timeline">-->
<!--                        &lt;!&ndash; The timeline &ndash;&gt;-->


<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->

<!--                    <div class="tab-pane" id="settings">-->



<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->
<!--        </div>-->
<!--        &lt;!&ndash; /.col &ndash;&gt;-->
<!--    </div>-->
<!--    &lt;!&ndash; /.row &ndash;&gt;-->

<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--</section>-->
<!--</body>-->
<!--</html>-->